Chromium Code Reviews
Help | Chromium Project | Sign in
(6)

Issue 2583343002: Mark OnceCallback::Run() & const so it matches a const callback object. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by dcheng
Modified:
3 months, 1 week ago
Reviewers:
vmpstr
CC:
chromium-reviews, vmpstr+watch_chromium.org, Avi
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Mark OnceCallback::Run() & const so it matches a const callback object. BUG=675328 Committed: https://crrev.com/3f2fd66ee3c869dbf43bf3c44877406ecfd871f3 Cr-Commit-Position: refs/heads/master@{#439938}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -4 lines) Patch
M base/bind_unittest.nc View 1 chunk +15 lines, -1 line 0 comments Download
M base/callback.h View 2 chunks +3 lines, -3 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   win_clang   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_chromium_x64_rel_ng   android_arm64_dbg_recipe   linux_android_rel_ng   mac_chromium_rel_ng   linux_chromium_chromeos_ozone_rel_ng   android_clang_dbg_recipe   android_n5x_swarming_rel   win_chromium_compile_dbg_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   android_compile_dbg   mac_chromium_compile_dbg_ng   cast_shell_linux   cast_shell_android   ios-simulator   ios-device   ios-device-xcode-clang   ios-simulator-xcode-clang   android_cronet   linux_chromium_asan_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux 
Commit queue not available (can’t edit this change).

Messages

Total messages: 17 (12 generated)
dcheng
Before, it'd just complain that neither of the two Run() overloads matched: ../../base/bind_unittest.cc:1420:6: error: no ...
3 months, 1 week ago (2016-12-19 20:02:53 UTC) #4
vmpstr
lgtm, the error is much better! thanks
3 months, 1 week ago (2016-12-20 19:13:43 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2583343002/1
3 months, 1 week ago (2016-12-20 19:15:54 UTC) #12
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 months, 1 week ago (2016-12-20 23:57:31 UTC) #15
commit-bot: I haz the power
3 months, 1 week ago (2016-12-21 00:00:15 UTC) #17
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/3f2fd66ee3c869dbf43bf3c44877406ecfd871f3
Cr-Commit-Position: refs/heads/master@{#439938}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46